Bug 129902

Summary: [GTK] Improve ninja detection in webkitdirs.pm
Product: WebKit Reporter: Martin Robinson <mrobinson>
Component: WebKitGTKAssignee: Martin Robinson <mrobinson>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, dbates, jberta.u-szeged, ossy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Martin Robinson 2014-03-07 12:54:46 PST
We should avoid this spurious output.
Comment 1 Martin Robinson 2014-03-07 12:57:03 PST
Created attachment 226152 [details]
Patch
Comment 2 Daniel Bates 2014-03-13 19:02:28 PDT
This issue was fixed in <http://trac.webkit.org/changeset/165541> (bug #130129). Maybe it would be better to use which(1) to detect whether ninja is in the user's path as opposed to calling ninja and redirecting stderr (thereby silencing the "command not found" error) as in the aforementioned change set?
Comment 3 Csaba Osztrogon√°c 2014-03-14 01:46:59 PDT
Comment on attachment 226152 [details]
Patch

It is really better fix than r165541, r=me.
(but cq-, because it is in conflict with r165541.)
Comment 4 Martin Robinson 2014-03-14 09:01:49 PDT
I think this is a good bug to switch to 'which' and also to detect ninja-build as well (as it is called on Fedora).
Comment 5 Martin Robinson 2014-03-14 19:07:39 PDT
Created attachment 226790 [details]
Patch
Comment 6 Martin Robinson 2014-03-15 15:44:54 PDT
Comment on attachment 226790 [details]
Patch

Clearing flags on attachment: 226790

Committed r165684: <http://trac.webkit.org/changeset/165684>
Comment 7 Martin Robinson 2014-03-15 15:44:58 PDT
All reviewed patches have been landed.  Closing bug.